Subject: Re: [PATCH] Fix 64bit bugs in dscc44.c II

From: Andi Kleen <[email-masked]>
Date: Wed, 8 Oct 2003 18:11:49 +0200

> I don't particularly care about the warning, just that it will
> obviously crash on a 64bit box when loaded. My change was the simplest 
> possible fix for that. I have no plans to rewrite this driver
> or something.

BTW my change fixed the warning.

It's somewhat ugly to store pointers in unsigned long I agree,
but it's hard to blame the driver author when this cruft is even
enshrined in fundamental interfaces (__get_free_pages/__free_pages) 

-Andi